Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

New Contributor

Hi everyone,

We are currently facing a problem in our recent cluster upgrade. After upgrading Ambari and HDP from version HDP-2.6.0.3 to HDP-2.6.4.0, the services have been updated but the page where we can install new services still shows older versions of the services. We want to install the new version of Druid, for example, but the older version is the only one available for installation.

Can you please help us? You can find two images illustrating the situation. Please feel free to ask for more information if you need it.

hdpproblem.pdf

Thanks in advance,

Carlos Costa

11 REPLIES 11

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

Hi Carlos,

It sounds like a display bug. Did you try a force refresh in your browser?

To be honest, I believe that the correct version will be installed if you add Druid because it'll rely on the repository files deployed when you installed the new version.

Pierre

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

New Contributor

Hi Pierre, at first glance I thought that also. But I have already refreshed the browser an tried to install druid, but it points out to the old repos and versions from HDP-2.6.0.3.

I'm thinking about a problem with the ambari database structure. But I don't know if that it's the right path to follow from here.

Thank you for your attention,

Carlos

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

OK, that's weird because the correct version is displayed as current on your hosts. You could try the following:

ambari-server set-current --cluster=hdplid4 --version-display-name=HDP-2.6.4.0

If that does not help, I'd try looking at the 'host component state' table in Ambari database.

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

New Contributor

Unfortunately ambari-server set-current gives me error 500 - internal server error - and I checked that table, everything seems updated to the last version - first attachment - (but that only shows the components already installed in the cluster, not services that are not installed - e.g., druid).

Other information I checked: the table repo_version includes two entries (the new repo and the old one. The old one its marked as legacy); Other tables related to repo_version_id are illustrated in the attachments of this message, but I'm not sure if any modifications to these tables will produce desirable results.

If anyone can help me, it would be wonderful. I do not want to manually remove entries in a database that I'm not completely familiar with. We need to start developing applications for Druid in our scientific research, and formatting the cluster would be really cumbersome at this moment.

Kind regards,

Carlos


captura-de-ecra-2018-03-03-as-153746.pngcaptura-de-ecra-2018-03-03-as-153828.pngcaptura-de-ecra-2018-03-03-as-153850.pngcaptura-de-ecra-2018-03-03-as-153446.png

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

New Contributor

Does anyone know where Ambari searches for this information? Is it in the ambari database? Or is it in xml/json files? I searched throughout the database, /var/lib/ambari-server/resources/..., and the github repo but I didn't arrive to any conclusion. Thanks.

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

New Contributor

@Pierre Villard

I'm facing the same issue.

Highlighted

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

New Contributor

Hi Gunar, I created an ambari jira issue. If you want to comment on it also: https://issues.apache.org/jira/browse/AMBARI-23138

Maybe it helps patching the issue in future releases.

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

New Contributor

I have the same issue. I added spark2 zeppelin.

it went well.

76562-zeppelin-ok.jpg

But when I restart ambari server, ambari-server started but the newly component is not shown:

76563-zeppelin-notok.jpg

@Jay Kumar SenSharma, @Sagar Shimpi, @Kuldeep Kulkarni, @vsharma @gaurav sharma, @Jagatheesh Ramakrishnan

Thanks in advance whoever can help to resolve this.....

Re: Ambari shows old versions of services after upgrade to ambari 2.6.1.3 and HDP 2.6.4.0 (from HDP 2.6.0.3)

Mentor

@S Mahapatra

Are you sure your symlink is okay? Can you run the below command to validate that your environment is pointng to the crrect version

$ ll /usr/hdp/current/

Please revert

Don't have an account?
Coming from Hortonworks? Activate your account here